# searchdomain

域名批量检索可用

## Develop


```
virtualenv .venv
source ./.venv/bin/activate
pip install -r requirements.txt
```

1、批量生成域名
```
python generateDomain.py
```

2、批量检测域名是否可以注册，并将结果保存到数据库或文件
```
python main.py
```


## docker

1）searchdomain 作为容器运行：
```

docker pull ccr.ccs.tencentyun.com/jianboy/searchdomain:v1.0.5

docker run -it --rm -v /data/searchdomain:/app ccr.ccs.tencentyun.com/jianboy/searchdomain:v1.0.5
```


2）searchdomain 作为命令行执行：
```
useradd -u 5678 searchdomain

docker pull ccr.ccs.tencentyun.com/jianboy/searchdomain:v1.0.5

docker run -it --rm -v /data/searchdomain:/app ccr.ccs.tencentyun.com/jianboy/searchdomain:v1.0.5

alias searchdomain='docker run -it --rm -v /data:/app jianboy/searchdomain'

searchdomain --input domain.txt --output result.txt

```

打包：
```
mkdir -p dist
cp domain.txt.txt dist/
pyinstaller  -F -c  --name search_domain  main.py
```
